Bug 591415 - Review Request: R-timeDate - Rmetrics - chronological and calendarical objects
Review Request: R-timeDate - Rmetrics - chronological and calendarical objects
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pierre-YvesChibon
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 591418 591421
  Show dependency treegraph
 
Reported: 2010-05-12 04:20 EDT by Sandro Mathys
Modified: 2010-08-02 21:13 EDT (History)
3 users (show)

See Also:
Fixed In Version: R-timeDate-2120.90-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-01 15:22:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pingou: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sandro Mathys 2010-05-12 04:20:57 EDT
Spec URL: http://red.fedorapeople.org/SRPMS/R-timeDate.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/R-timeDate-2110.88-1.fc12.src.rpm
Description:
Environment for teaching Financial Engineering and Computational Finance.

rpmlint {SPECS,SRPMS,RPMS/noarch}/R-timeDate*
R-timeDate.src: W: spelling-error Summary(en_US) Rmetrics -> Metrics, R metrics, Metricizes
R-timeDate.src: W: spelling-error Summary(en_US) calendarical -> calendar, calender, cylindrical
R-timeDate.noarch: W: spelling-error Summary(en_US) Rmetrics -> Metrics, R metrics, Metricizes
R-timeDate.noarch: W: spelling-error Summary(en_US) calendarical -> calendar, calender, cylindrical
2 packages and 1 specfiles checked; 0 errors, 4 warnings.

All warnings can be safely ignored.
Comment 1 Pierre-YvesChibon 2010-05-12 05:15:37 EDT
* source files match upstream:
   sha1sum timeDate_2110.88.tar.gz 
8b77f4e44cc0ebfe928974a3f59cf085f5c16431  timeDate_2110.88.tar.gz
   sha1sum rpmbuild/SOURCES/timeDate_2110.88.tar.gz 
8b77f4e44cc0ebfe928974a3f59cf085f5c16431  rpmbuild/SOURCES/timeDate_2110.88.tar.gz

* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
- license field matches the actual license.
  The license in the pdf DocCopying.pdf is a GPLv2 license while the rest of the package is under GPLv2+

* license is open source-compatible.
* license text is included upstream.
* latest version is being packaged.
* BuildRequires are proper.
- Requires should be on R-core instead of R-devel

* %clean is present.
* package builds in koji (
http://koji.fedoraproject.org/koji/taskinfo?taskID=2182189 ).
* package installs properly
* rpmlint produces 4 warnings, safe to ignore (spelling).
  2 packages and 0 specfiles checked; 0 errors, 4 warnings.

* final provides and requires are sane
* %check is present and all tests pass.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
- %docs are not necessary for the proper functioning of the package.
  I think unitTests should not be %doc

Would be nice if you could solve this license question and I will approve this package
Comment 2 Sandro Mathys 2010-05-12 05:25:38 EDT
Thanks Pierre-Yves for the review so far. I just sent the two upstream maintainers a e-mail about this issue and hope to hear back from them soon.
Comment 3 Sandro Mathys 2010-05-17 05:11:43 EDT
Quick update: I got the first response from upstream within an hour which signaled they're willingness to resolve this situation. Now I just got another response that they're about to make the necessary changes and push an update to CRAN. They will let me know when the new version is available.
Comment 4 Pierre-YvesChibon 2010-05-31 15:12:55 EDT
any news ?
Comment 5 Sandro Mathys 2010-05-31 15:44:58 EDT
Not yet. There's no new release being published yet. I could check if they have an idea as to when they're ready.
Comment 6 Pierre-YvesChibon 2010-06-28 02:15:10 EDT
Still nothing ?
Comment 7 Sandro Mathys 2010-07-12 14:23:45 EDT
There's been a new release recently but I don't think this issue has been addressed :( Also I never got a reply to my last email :(

But I don't give up yet, wrote yet another message. If that doesn't work I'll think about going to their office, they should be in reachable distance.
Comment 8 Sandro Mathys 2010-07-26 04:41:56 EDT
Finally, I've been informed that a new version addressing this issue has been released. It's not yet in CRAN but should be as soon as it's approved there.
Comment 9 Sandro Mathys 2010-07-26 11:26:58 EDT
Spec URL: http://red.fedorapeople.org/SRPMS/R-timeDate.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/R-timeDate-2120.90-1.fc12.src.rpm

New version: They fixed the problem by deleting DocCopying.pdf
Comment 10 Pierre-YvesChibon 2010-07-28 03:09:11 EDT
* Latest version packaged
895b9ddfc48604ed908b0689cfeeb728d96ecc73  timeDate_2120.90.tar.gz
895b9ddfc48604ed908b0689cfeeb728d96ecc73  /home/pierrey/rpmbuild/SOURCES/timeDate_2120.90.tar.gz
* sha1sum are equals
- You should change the Require to R into R-core
  Not all mandatory Requires are present in ['R', 'R-RUnit']
* All required BuildRequires are present
* The macro %check is present
* There is 1 %dir
  %dir is OK
* There is 4 %doc

* The rpm installed in _datadir
* The rpm uses %{_datadir} and is noarch
* The rpm seems to have the required element in %install
LANG=C rpmbuild -ba /home/pierrey/rpmbuild/SPECS/R-timeDate.spec > R-timeDate.spec-build.log 2>&1 
* Build properly under 2.6.33.6-147.fc13.x86_64
* rpmlint:
R-timeDate.src: W: spelling-error Summary(en_US) Rmetrics -> Metrics, R metrics, Metricates
R-timeDate.src: W: spelling-error Summary(en_US) calendarical -> calendrical, calendar, calendric
R-timeDate.noarch: W: spelling-error Summary(en_US) Rmetrics -> Metrics, R metrics, Metricates
R-timeDate.noarch: W: spelling-error Summary(en_US) calendarical -> calendrical, calendar, calendric
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
Scratch build on koji for target f14
* Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2355826
   0 free  0 open  2 done  0 failed
   2355826 build (dist-f14, R-timeDate-2120.90-1.fc12.src.rpm) completed successfully

* Build is clean from warnings or errors
* All checks are passed
* License (GPLv2+) is compatible with Fedora
* Warnings from rpmlint are safe to ignore (although calendarical might be worth to change)

I trust you can fix the Requires issue before importing the package into the CVS, therefore this package is 

APPROVED.
Comment 11 Sandro Mathys 2010-07-29 05:21:48 EDT
New Package CVS Request
=======================
Package Name: R-timeDate
Short Description: Rmetrics - chronological and calendarical objects
Owners: red
Branches: F-13
InitialCC:
Comment 12 Kevin Fenzi 2010-07-30 16:23:09 EDT
GIT done (by process-cvs-requests.py).
Comment 13 Fedora Update System 2010-07-30 19:30:06 EDT
R-timeDate-2120.90-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/R-timeDate-2120.90-1.fc13
Comment 14 Fedora Update System 2010-07-30 19:30:13 EDT
R-timeDate-2120.90-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/R-timeDate-2120.90-1.fc14
Comment 15 Fedora Update System 2010-08-01 15:22:40 EDT
R-timeDate-2120.90-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2010-08-02 21:13:43 EDT
R-timeDate-2120.90-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.